3DCenter.ru

Здравствуйте, гость ( Вход | Регистрация )

2 страниц V   1 2 >  
Reply to this topicStart new topic
> AutoCAD: Tips & Tricks, полезные приемы
Int_Skylined
сообщение 06/01/2006, 23:20
Сообщение #1



Иконка группы

Группа: Модераторы
Сообщений: 3 285
Регистрация: 17/08/2003
Пользователь №: 3 182



Здесь делимся неординарными способами для удобной работы, советами и уловками для AutoCAD wink.gif

Начинаем с советов от point111:


* Лимиты чертежа не обязательно задавать командой LIMITS, и думать что ей вбить в параметры, достаточно нарисовать линию немеряных размеров (1000000) и сделать двойной клик колесом мыши (это ZOOM ALL), лимиты автоматически раздвинуться.

* Команды TRIM и EXTEND превращаються друг в друга через SHIFT

* ACAD.PGP файл (файл псевдонимов команд), можно на одну команду завести несколько псевдонимов, например русскими буквами, чтобы не задумываться о текущей раскладке клавиатуры:

B, *-BOUNDARY
и, *-BOUNDARY
P, *PLINE
з, *PLINE
j, *PLINE
о, *PLINE




//еще раз на заметку всем//

*здесь предполагается оставлять сообщения, касающиеся разных приемов и уловок, улучшающих и повышающие удобство, производительность и качество работы.

*выписки из FAQ - не приветствуются.
Go to the top of the page
 
+Quote Post
point111
сообщение 07/01/2006, 09:37
Сообщение #2


не бесный
Иконка группы

Группа: Участник
Сообщений: 2 191
Регистрация: 04/01/2005
Из: Ростов-на-Дону
Пользователь №: 9 262



вдогонку:
* известно, что PURGE не всегда способна вычистить чертеж, а чужой файл ой как охота почистить. Идем от обратного - выделяем нужное, WBLOCK сохраняем необходимое без чужих болков, стилей и прочей ненужной фигни.
Go to the top of the page
 
+Quote Post
GGM
сообщение 10/01/2006, 11:44
Сообщение #3


Советчик
Иконка группы

Группа: Пользователи
Сообщений: 94
Регистрация: 23/06/2004
Пользователь №: 6 334



чистый чертеж - ясная голова smile.gif
express -> modify -> delete duplicated objects
удаляет дубли линий, склеивает слинии из кусков ит.д.
express tools - навеска(много полезных пакетных и дополнительных команд), очень часто встречается в комплекте установки, но не всегда ставиться автоматом. надо поискать на диске.
Go to the top of the page
 
+Quote Post
pavian
сообщение 24/01/2006, 18:29
Сообщение #4


Эксперт
Иконка группы

Группа: Пользователи
Сообщений: 666
Регистрация: 24/12/2005
Из: odessa
Пользователь №: 20 086



acad_2006
tools>options>user preferences>associative dimensioning (урать галку) --->
размерные линии не "улетают" при перемещении содержащих их объектов
Go to the top of the page
 
+Quote Post
point111
сообщение 27/01/2006, 23:39
Сообщение #5


не бесный
Иконка группы

Группа: Участник
Сообщений: 2 191
Регистрация: 04/01/2005
Из: Ростов-на-Дону
Пользователь №: 9 262



QUOTE(pavian @ Jan 24 2006, 18:29)
acad_2006
tools>options>user preferences>associative dimensioning (урать галку) --->
размерные линии не "улетают" при перемещении содержащих их объектов
[right][snapback]557601[/snapback][/right]

2 ALL
есть предложение - не постить сюда то, что есть в хелпе. Это ведь не FAQ, это найденные нестандартные ходы.
Go to the top of the page
 
+Quote Post
+AlexMozg+
сообщение 12/04/2006, 00:47
Сообщение #6


MaxMan
Иконка группы

Группа: Пользователи
Сообщений: 239
Регистрация: 02/04/2005
Пользователь №: 12 535



Что ж, и я поделюсь.

Коды для пользовательских кнопок:

Сопряжение с радиусом 0, можно и свой радиус вставить, какой нужно.
Код
^C^C_fillet;_R;0.0;_fillet;

Плющит чертеж! Убивает случайно выскачившую Z координату у 2D чертежа
Может использоваться как альтернатива команды FLATTEN из меню Express.
Код
^C^C_.move;_all;;0,0,0;0,0,1e99;_.move;_p;;0,0,0;0,0,-1e99;

Универсальная удалялка, попробуйте.
Код
*^C^C_erase;\;

Восстановление излюбленного набора привязок в любой момент (прозрачная команда)
Код
'_osmode;XXX;
вместо XXX вставить число полученное след. образом:
включаем нужные привязки и в ком. строке набираем osmode, получаем число.


...


Go to the top of the page
 
+Quote Post
Lёtchik
сообщение 10/12/2006, 21:58
Сообщение #7


Знаток
Иконка группы

Группа: Пользователи
Сообщений: 253
Регистрация: 14/02/2003
Из: Уфа
Пользователь №: 1 414



Не знаю Tips это или Tricks или не то не другое, но когда их написал жизнь себе немного облегчил.
Для работы с Solids объемами. Писал еще под 2000.

Продвинутый экструд
В отличае от стандартного
1)Выделять обекты можно и до и после запуска команды.
(Незнаю как в дальнейших версиях но в 2004 и ниже меня парит что нельзя сначала выделить потом выдавить.)
2)Помнит значения Дистанции и Угла предыдущего выдавливания (через Pr_Extrude)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;Продвинутый Extrude
;;
(setq dist 0)
(setq an 0)

(defun C:Pr_Extrude ()
(setq dist1 dist)
(setq an1 an)
(setq sele (ssget))
(princ "\nВведите дистанцию (")
(princ dist)
(setq dist (getdist "): "))
(princ "\nВведите угол (")
(princ (/ (* an1 180) pi))
(if (= (setq an (getangle "): ")) nil)
(setq an an1)
)
(if (= dist nil) (setq dist dist1))
(command "_extrude" sele "" dist (/ (* an 180) pi))
)

Продвинутый нож
В отличае от стандартного
1)Выделять обекты можно до и после запуска команды. (тоже что и выше)
2)Режет по прямой указаной двумя точками.
(может я туплю но как это делать быстро в стандартном слайсере я не понял)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;Продвинутый нож
;;
(defun getmain1(pt)

(setvar "OSMODE" 0)
(setq pt (list (car pt1) (cadr pt1) (+ 100 (caddr pt1))))
(princ pt)
)
;;
(defun C:PR_Slice ()
(setq sele (ssget))
(setq os (getvar "OSMODE"))
(princ "\n")
(command "slice" sele ""
(setq pt1 (getpoint '"\nВведите первую точку оси: "))
(setq pt2 (getpoint pt1 "\nВведите вторую точку оси: "))
(setq pt3 (getmain1 pt1))
(getpoint "\nОстанки: ")
)
(setvar "OSMODE" os)
)

Текст вставляются в *.lsp фаил загрузки автокада, в моем случае это "acad2004.lsp"
На команды вешаются или быстрые клавиши или кнопки из панелек.

Может кому пригодится
Go to the top of the page
 
+Quote Post
Garry Sailor
сообщение 12/01/2007, 18:41
Сообщение #8


Бывалый
Иконка группы

Группа: Пользователи
Сообщений: 107
Регистрация: 27/07/2005
Из: СССР
Пользователь №: 15 162



Уже не помню где это взял, но выкладываю здесь, авось кому-то пригодится.
Итак, цмтата:
@ в Автокаде работают стандартные клавиатурные сокращения
Windows. Например Ctrl+С - копировать в буфер, Ctrl+X -
вырезать в буфер, Ctrl+V - вставить из буфера, Ctrl+Z -
отменить последнюю(ие) команду(ы), Ctrl+Tab - циклическое
переключение между открытыми окнами (файлами).

@ у всех команд в Каде есть "свои" клавиатурные сокращения
(aliases), набрав которые и нажав Enter или Space можно
вызвать соответствующую комманду. Например, с - circle, l -
line, co - copy, h - штриховка и т. д. и т. п. Хэлп содержит
несколько разделов на эту тему. Список всех комманд не нужно
собирать и выписывать в блокнотик - можно его
посмотреть/распечатать открыв файл Acad.pgp. Сделать это можно
так: Tools -> Customize -> Edit Custom files -> Program
Parameters (acad.pgp). Изменять умолчания можно, но я не
советую.

@ При выделении объектов включаются так называемые ручки
(grips). Выбираем одну из них (или несколько, предварительно
наступив на shift) - она закрашивается красным цветом. Смотрим
в командную строку - появилась текущая команда stretch.
Теперь, при нажатии Enter или Space, будут в цикле
перебираться основные команды Када: Stretch -> Move -> Rotate
-> Scale -> Mirror -> Stretch. Причём есть возможность вводить
и все дополнительные опции к этим коммандам, используя
подсказки коммандного меню! Например: для того чтобы
скопировать объект несколько раз (multiple), относительно
заданной точки (Base point) делаем так: выделяем объект ->
выбираем любую ручку (Grip) -> Space -> С -> B -> выделяем
базу (Base Point) -> указываем куда копировать. Если
посмотреть, то клавиши Space, C и B находятся рядом, таким
образом, после мизерной практики, можно пользоваться ими
неглядя!

@ Для указания точек объектной привязки (Object snap) не
обязательно вытаскивать панель с одноимённым названием. Во
время выполнения любой команды достаточно нажать комбинацию
Shift+Right click и откроются все возможные способы привязки.

@ В ходе указания точек объектной привязки и при использовании
трекинга (Object snap tracking), можно циклически перебирать
все близлежащие к курсору на экране точки привязки, нажимая
клавишу Tab. Совет работает даже при отключённом режиме
Tracking'a, который временно включается!

@ Перенести или скопировать объект, без точной объектной
привязки, можно не вызывая команды копирования или
копирования_в_буфер! Для этого нужно выделить объект, и
потащить его так, как это делается с файлами в проводнике. При
нажатой клавише ctrl, объект будет скопирован.
Для указания точек объектной привязки (Object snap) не обязательно вытаскивать панель с одноимённым названием.
Во время выполнения любой команды достаточно нажать комбинацию Shift+Right click и откроются все возможные способы привязки

-Можно нагрузить сразу несколько часто употребляемых привязок,
поставив птички в нескольких квадратиках. Описанным в цитате
способом надо брать редко употребл. привязки.
-Значительного увеличения скорости можно достичь, составляя
макросы комбинированных команд. Например, Copy-Edit:
^C^C_Copy;\;_Ddedit Копирует текст-образец и одновременно
редактирует его

@ Ctrl+Tab - Переключение между окнами.

@Еще включение выключение привязок F4, ортогональностиF8 и
других вещей, находящихся в нижнем меню

МОЖЕТ ЭТО И НЕ очень ЦЕННО, НО ДЛЯ МЕНЯ ЭТО БЫЛО МАЛЕНЬКИМИ
ОТКРЫТИЯМИ И Я В СВОЕ ВРЕМЯ РАДОВАЛСЯ ЭТОМУ...

@Для того что бы с помощью кнопки UNDO отменять выбор объектов
ПО ОДНОМУ в обратном порядке, нужно в макросе этой кнопки
затереть ^C^C, оставив только _U.(догадался сам)

@А если надо отменить выбор ЛЮБОГО из уже выбранных, то
удерживая ШЫФТ выделить этот объект.(подсмотрел на форуме)

@Дописав в макросе кнопки RECTANGLE (прямоугольник)
"пробел|_d",получим кнопку рисующую прямоугольник с заданными
размерами сторон

@Вообще, дописывая в макросы предлагаемые при вызове команды
"подсказки", можно получить много разных полезных
кнопок.Только надо знать синтаксис, правила написания этих
самых макросов.(А это дано не каждому)))

@Кнопка с макросом:^C^C_undo, отменяет последние действия на
задаваемое количество шагов (на 10, 20, 30, 1000 и тд)-будте
осторожны! если нечаянно нажимается лишний ноль...

@Создав кнопку с макросом '_snapang получаем возможность
устанавливать под задаваемым юзером углом перекрестие курсора,
а соответственно возможность чертить под любым углом.
Вернуться к исходному углу (0 градусов) можно, вызвав опять
эту команду и введя в командной строке, в ответ на запрос,
"0". Но эта штука не умоляет возможностей стандартных команд
Object UCS и World UCS, а лишь дополняет их.

@Создайте полезную мультилинию с закрытыми CAPS'ами и с
заливкой внутри цветом №255(белым). При этом, в установках
печати Plot style table-в Propertis цвета №255, установить
Color - 255 (а не Black)

посадите на кнопку F2 (вместо того,
что НА НЕЙ есть) команду Propertis -она вызывает и убирает
окно свойств - ЭТО УДОБНО!

@Вообще, дописывая в макросы предлагаемые при вызове
команды "подсказки", можно получить много разных
полезных кнопок.Только надо знать синтаксис, правила
написания этих самых макросов.(А это дано не каждому)))

Подсказки, в смысле доступные опции команды, как правило
появляются в командной строке. Есть они и в хелпе. Только
самый ленивый не прочтет ком. строку.... но зачем он тогда с
АКАДом связался...


@Количество строк над командной строкой - не менее трех. Тогда
диалог (запросы, подсказки, недовольное ворчание....) виден
практически полностью

@Для выбора линии лежащей под другой линией используйте
циклический перебор: выбор с нажатым Ctrl, перебор ЛК мыши,
подтверждение ПК мыши

@ Использование выражений в командной строке (например в ответ
на подсказку на ввод длины линии):
(- 8.666 2.777) - означает "вычесть из 8,666 2,777" - это
польская система записи выражений.

Далее дополнительные кнопки:
'_filletrad 0 _fillet - удлинение до пересечения двух объектов

^C^C_lengthen _dy - динамическое удлинение линии (аналогично
есть кнопки тотал и дельта)

Советую убрать из кнопки 3dorbit символы ^C^C и запускать ее
прозрачно.

Еще кнопки:
<45
<-45
Просто но полезно.

@ перемещение чертежа к помощью колеса при нажатом ШИФТ
выполняется по ортогональным направлениям.

Кнопки, связанные с осями, я перекрасил в соответствующие
цвета: теперь не приглядываюсь, что на них написано, а
ориентируюсь по цвету.

Еще кнопки:
'cal (cur+cur)/2.0; - привязка к середине между двумя точками

@Двойной щелчок по колесу - видим все, что есть на экране...

Уж не знаю, в тему ли...
@ Используйте кнопку Up и Down для повторного ввода значений
или текста. Например пишите текст маркировки "ПР-5245632А",
затем, чтобы написать "ПР-5235632Б",опять вызываете команду
Dtext, жмете Up, в командной строке появляется ранее набраный
текст, который в командной же строке(!) редактируется.Энтер.
Анологично с вводом цифровых значений для задания длин
отрезков, перемещения на заданное расстояние и т.п.
Акад хранит не только последнее введенное число или текст, но
и все, что вводилось ранее.

а есть еще и такая фишка:
@ Если кликнуть правой клавишей в командной строке то в
появившемся меню в Recents Commands 6 последних вызываемых
комманд

операцию деления можно писать в обычном виде:
1/5 идентично (/ 1 5)
прокатывает только с делением

Кнопка Erase находится обычно рядом с кнопкой Copy. Ситуация:
кропотливо выделяете объекты для копирования и тянете мышку к
кнопке, но ошибочно нажимаете Erase... Следуют непечатные
выражения (про себя?) и команда Undo. Все начинается сначала.
@ Если вместо Undo взять команду Oops, при повтором
копировании все объекты выделяются опцией Previous (P). В
русском автокаде она ошибочно переведена как Текущий, а
правильно Предыдущий.

Ну, тогда вот ещё парочка... десятков, по такой, казалось,
элементарной команде, как trim:

@ Вместо приглашения команды:
Select cutting edges ...
Select objects: топчем enter, сразу появляется матерное
выражение:
Select object to trim or shift-select to extend or
[Project/Edge/Undo]:
и теперь границы обрезки и обрезаемые части выбираются
произвольно. Попробуйте - объяснить проще сложнее.

@ Для многих является прозрением режим выделения Fence. Как Вы
обычно поступаете, если надо подрезать несколько 10-ков
объектов, по одной линии? Выделяете её, и 196 раз указываете
на обрезаемые "кончики" ? Попробуйте так: в ответ на запрос
команды trim:
Select object to trim or shift-select to extend or
[Project/Edge/Undo]:
нажмите f, enter, появится диалог:
First fence point:
указываете первую точку ломаной (не обязательно прямой!)
линии,
Specify endpoint of line or [Undo]:
указываете вторую
Specify endpoint of line or [Undo]:
третью
Specify endpoint of line or [Undo]:
....
Когда надоест, нажимаете enter...

@ Ясен пень, что режим выделения fence (англ. - забор,
изгородь) работает и со всеми другими командами, где
производится выбор объектов.

@ Вдобавок, не многие заметили, что в последних версиях Када,
в диалоге команд trim/extend появились слова "Select object or
shift-select to extend/trim" Так вот, попробуйте, выделяя
"кончики", нажать тот самый shift. Что будет не скажу.

@ Есть команда Multiple. Что делает: зацикливает нужную
команду. Как Вы скругляете 196 пересекающихся линий? Вызываете
команду fillet, затем выделяете 2 линии, наступаете на enter,
снова выделяете 2 линии, снова наступаете на enter... А можно
избежать повторного нажатия enter 98 раз:

Command: multiple
Enter command name to repeat:

набираете например f и понеслась:
Enter command name to repeat: f
FILLET
Current settings: Mode = TRIM, Radius = 0.0000
Select first object or [Polyline/Radius/Trim/mUltiple]:
Select second object:
FILLET
Current settings: Mode = TRIM, Radius = 0.0000
Select first object or [Polyline/Radius/Trim/mUltiple]:
...
FILLET
Current settings: Mode = TRIM, Radius = 0.0000
Select first object or [Polyline/Radius/Trim/mUltiple]: 195
линия
Select second object: и, наконец, 196 линия!!!
FILLET
Current settings: Mode = TRIM, Radius = 0.0000
Select first object or [Polyline/Radius/Trim/mUltiple]:
Устало жмём Esc:
Select first object or [Polyline/Radius/Trim/mUltiple]:
*Cancel*
Command:
...Чтобы не набирать multiple каждый раз, можно сделать ей
кнопку.

С Уважением-
Garry Sailor.
Go to the top of the page
 
+Quote Post
cinic
сообщение 17/01/2011, 20:23
Сообщение #9


Эксперт
Иконка группы

Группа: Пользователи
Сообщений: 595
Регистрация: 25/01/2009
Из: Киева
Пользователь №: 66 703



  • Набираем в командной строке ucs
  • Наперекор всем правилам, жмем в ответ g
  • Удивленно произносим: " Так вот ты какой дедушка Autodesk!" biggrin.gif
Go to the top of the page
 
+Quote Post
JaJaBinks
сообщение 07/03/2011, 20:15
Сообщение #10


Join The Empire!
Иконка группы

Группа: Участник
Сообщений: 737
Регистрация: 12/02/2003
Из: Санкт-Петербург
Пользователь №: 1 395



команда OOPS отменяет последнюю операцию удаления не взирая на то, сколько команд было выполнено после нее

иногда очень полезно бывает smile.gif
Go to the top of the page
 
+Quote Post
abdou
сообщение 14/08/2012, 18:56
Сообщение #11


Новичок
Иконка группы

Группа: Пользователи
Сообщений: 1
Регистрация: 14/08/2012
Из: Гомель
Пользователь №: 86 238



интересное наблюдение: если на лист разместить два вида с разными именами. В семействе заголовка вида на листе отобразить Имя вида. А в свойствах обоих видов праметру "Заголовок вида на листе" присвоить одно и то же значение, то в заголовке вида на листе это значение отобразится у обоих видов. ) wink.gif
Go to the top of the page
 
+Quote Post
abdollah
сообщение 14/08/2012, 20:57
Сообщение #12


Новичок
Иконка группы

Группа: Пользователи
Сообщений: 1
Регистрация: 14/08/2012
Из: Украина, Юг
Пользователь №: 86 243



Несколько методов открытия поврежденных DGW - файлов:
-Использовать команду Recover
-Открывая поврежденный файл, нажать ESC до появления сообщения об ошибке Regeneration/Error, сохранить в DXF - формате, загрузить, записать в DWG - формат, запустить команду Audit
-Вставить поврежденный файл, как блок в новый чертеж
-Открыть и сохранить DWG - файл в старых версиях AutoCAD, AutoCAD LT, Actrix
-Если изменить время или число на компьютере, то Trial version - Пробные версии программных продуктов компании Autodesk, скорее всего запускаться не будут.
-Воспользовавшись геометрическим калькулятором, можно быстро определить центр прямоугольника. В командной строке набрать: '_CAL MEE и пикнуть в два противоположных угла прямоугольника. Эту команду можно использовать и как сквозную в другой команде.
Go to the top of the page
 
+Quote Post
alanna
сообщение 13/09/2012, 18:10
Сообщение #13


Новичок
Иконка группы

Группа: Пользователи
Сообщений: 1
Регистрация: 13/09/2012
Из: москва
Пользователь №: 86 429



Очень не хочу создавать еще одну флудильную, но все же что лучше revit archiCAD autoCAD?
Сам пока еще не работал ни в одной из программ, планирую изучить, но вот перед тем как изучить возник вопрос, что изучать?
Хотелось бы четкого ответа, что там ревит/архикад/автокад лучше всего подходит, для проектирования (визуализация и т.д. будет в максе), так что *.fbx формат + к ревит, не знаю как там дела обстоят с этими кадами, есть ли у них такой же "коннектор", вообще как я понимаю что все выше представленные проги хорошо подходят к проектированию, но все же эти программы разные.
Go to the top of the page
 
+Quote Post
mamvel
сообщение 26/09/2012, 01:10
Сообщение #14


Эксперт
Иконка группы

Группа: Пользователи
Сообщений: 539
Регистрация: 19/02/2009
Пользователь №: 67 572



Автокад Архитектуре вот твой совт. Я видел как в нем чувак замоделил мякгое кожанное кресло.
Go to the top of the page
 
+Quote Post
ivanbarin
сообщение 11/06/2017, 13:33
Сообщение #15


Новичок
Иконка группы

Группа: Пользователи
Сообщений: 1
Регистрация: 11/06/2017
Пользователь №: 135 307



Сложноватый он для этих целей happy.gif
Go to the top of the page
 
+Quote Post
Bots
сообщение Системное сообщение






2 страниц V   1 2 >
Reply to this topicStart new topic

1 чел. читают эту тему (гостей: 1, скрытых пользователей: 0)
Пользователей: 0

 



RSS Текстовая версия Сейчас: 22/09/2019 - 07:19